oštar EACCES: odbijeno dopuštenje na CentOS / RHEL 7 – FIXED

Rješenje za oštro dopuštenje EACCES-a uskraćeno je za grešku tijekom instalacije nodejs paketa.


Prilikom instaliranja Nodejs paketa Browsertime dobio sam sljedeću pogrešku.

[[E zaštićeni] ~] # npm instaliraj Browserime -g
/ Usr / bin / browsertime -> /usr/lib/node_modules/browsertime/bin/browsertime.js

> @ Sitespeed.io /[E zaštićeni] install /usr/lib/node_modules/browsertime/node_modules/@sitespeed.io/chromedriver
> čvor install.js

(čvor: 26690) UnhandledPromiseRejectionUpozorenje: Pogreška: Odredišna mapa mora postojati
at DownloaderHelper .__ validate (/usr/lib/node_modules/browsertime/node_modules/@sitespeed.io/chromedriver/node_modules/node-downloader-helper/dist/index.js:190:23)
na novom DownloaderHelper (/usr/lib/node_modules/browsertime/node_modules/@sitespeed.io/chromedriver/node_modules/node-downloader-helper/dist/index.js:61:20)
pri preuzimanju (/usr/lib/node_modules/browsertime/node_modules/@sitespeed.io/chromedriver/install.js:68:18)
(čvor: 26690) UnhandledPromiseRejectionWarning: Neraspoređeno odbacivanje obećanja. Ova greška nastala je ili bacanjem unutar funkcije asinhije bez bloka hvatanja, ili odbacivanjem obećanja koje nije bilo obrađeno .catch (). (ID odbijanja: 1)
(čvor: 26690) [DEP0018] Skidanje upozorenja: Obustavljena su nerazvrstana obećanja. U budućnosti, odbijanja obećanja koja se ne bave prekidaju postupak Node.js s izlaznim kodom bez nule.

> @ Sitespeed.io /[E zaštićeni] install /usr/lib/node_modules/browsertime/node_modules/@sitespeed.io/geckodriver
> čvor install.js

(čvor: 26701) UnhandledPromiseRejectionUpozorenje: Pogreška: Odredišna mapa mora postojati
at DownloaderHelper .__ validate (/usr/lib/node_modules/browsertime/node_modules/@sitespeed.io/geckodriver/node_modules/node-downloader-helper/dist/index.js:387:23)
na novom DownloaderHelper (/usr/lib/node_modules/browsertime/node_modules/@sitespeed.io/geckodriver/node_modules/node-downloader-helper/dist/index.js:61:20)
pri preuzimanju (/usr/lib/node_modules/browsertime/node_modules/@sitespeed.io/geckodriver/install.js:73:18)
(čvor: 26701) UnhandledPromiseRejectionWarning: Neopravljeno odbacivanje obećanja. Ova greška nastala je ili bacanjem unutar funkcije asinhije bez bloka hvatanja, ili odbacivanjem obećanja koje nije bilo obrađeno .catch (). (ID odbijanja: 1)
(čvor: 26701) [DEP0018] Skidanje upozorenja: Obustavljena su nerazvrstana obećanja. U budućnosti, odbijanja obećanja koja se ne bave prekidaju postupak Node.js s izlaznim kodom bez nule.

> [E zaštićeni] instaliraj / usr / lib / node_modules / browsertime / node_modules / oštar
> (instalacija čvora / libvips && node instalacija / dll-copy && unaprijed instalirati) || (obnova čvora-gyp) && čvor instalacija / dll-copy)

ERR! oštar EACCES: odbijeno dopuštenje, mkdir ‘/root/.npm/_libvips’
info oštar Pokušaj izgradnje iz izvora putem node-gyp, ali to može uspjeti zbog gore navedene pogreške
info oštro Molimo pogledajte https://sharp.pixelplumbing.com/page/install za potrebne ovisnosti
gyp UPOZORENJE EACCES korisnik "korijen" nema dozvolu za pristup dev dir "/root/.node-gyp/11.15.0"
gyp UPOZORENJE EACCES pri pokušaju ponovne instalacije pomoću privremenog dev dir "/usr/lib/node_modules/browsertime/node_modules/sharp/.node-gyp"
gyp WARN install dobio je pogrešku, povratna instalacija
gyp WARN install dobio je pogrešku, povratna instalacija
gyp ERR! pogreška konfiguriranja
gyp ERR! stack Error: EACCES: odbijeno dopuštenje, mkdir ‘/usr/lib/node_modules/browsertime/node_modules/sharp/.node-gyp’
gyp ERR! Sustav Linux 3.10.0-957.27.2.el7.x86_64
gyp ERR! naredba "/ Usr / bin / čvor" "/usr/lib/node_modules/npm/node_modules/node-gyp/bin/node-gyp.js" "obnoviti"
gyp ERR! cwd / usr / lib / node_modules / browsertime / node_modules / oštro
gyp ERR! čvor -v v11.15.0
gyp ERR! čvor-gyp -v v3.8.0
gyp ERR! nije u redu
npm ERR! kod ELIFECYCLE
npm ERR! errno 1
npm ERR! [E zaštićeni] install: `(node ​​instalacija / libvips && node instalacija / dll-copy && unaprijed instalirati) || (obnova čvora-gyp) && node install / dll-copy) `
npm ERR! Izlazni status 1
npm ERR!
npm ERR! Nije uspjelo u [E zaštićeni] instalirati skriptu.
npm ERR! To vjerojatno nije problem s npm-om. Vjerojatno je dodatni izlaz bilježenja.

npm ERR! Cjelovit dnevnik ove vožnje možete pronaći u:

Pokušao sam nekoliko stvari, ali ništa nije uspjelo. Nakon malo pretraživanja, našao sam npmjs dokumentacija i isprobali – nesigurnu perm zastavu.

npm instalacija – nesigurna perm

Na primjer: za moju instalaciju.

npm install –unsafe-perm preglednik -g

Djelovalo je poput šarma. Nadam se da će vam i to pomoći.

OZNAKE:

  • Linux

Jeffrey Wilson Administrator
Sorry! The Author has not filled his profile.
follow me
    Like this post? Please share to your friends:
    Adblock
    detector
    map